Currently reading
curl --request GET \
--url https://api.rewind.rest/v1/reading/currently-reading \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.rewind.rest/v1/reading/currently-reading', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.rewind.rest/v1/reading/currently-reading"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": 87,
"title": "Why the Internet Isn't Working",
"author": "Maxwell Zeff",
"url": "https://www.wired.com/story/why-the-internet-isnt-working",
"instapaper_url": "https://www.instapaper.com/read/2345678",
"instapaper_app_url": "instapaper://read/2345678",
"domain": "wired.com",
"site_name": "Wired",
"description": "The web was supposed to connect us. What went wrong?",
"word_count": 4500,
"estimated_read_min": 18,
"status": "reading",
"progress": 0.45,
"starred": false,
"rating": null,
"tags": [
"technology",
"internet"
],
"source": "instapaper",
"image": null,
"saved_at": "2026-03-20T10:00:00.000Z",
"started_at": "2026-03-21T07:30:00.000Z",
"finished_at": null
}
]
}{
"error": "Not found",
"status": 404
}Reading
Currently reading
Returns articles currently being read (progress > 0 and < 0.75).
GET
/
v1
/
reading
/
currently-reading
Currently reading
curl --request GET \
--url https://api.rewind.rest/v1/reading/currently-reading \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.rewind.rest/v1/reading/currently-reading', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.rewind.rest/v1/reading/currently-reading"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": 87,
"title": "Why the Internet Isn't Working",
"author": "Maxwell Zeff",
"url": "https://www.wired.com/story/why-the-internet-isnt-working",
"instapaper_url": "https://www.instapaper.com/read/2345678",
"instapaper_app_url": "instapaper://read/2345678",
"domain": "wired.com",
"site_name": "Wired",
"description": "The web was supposed to connect us. What went wrong?",
"word_count": 4500,
"estimated_read_min": 18,
"status": "reading",
"progress": 0.45,
"starred": false,
"rating": null,
"tags": [
"technology",
"internet"
],
"source": "instapaper",
"image": null,
"saved_at": "2026-03-20T10:00:00.000Z",
"started_at": "2026-03-21T07:30:00.000Z",
"finished_at": null
}
]
}{
"error": "Not found",
"status": 404
}⌘I